<Type Name="CommonCompilerOptions2" FullName="Mono.GetOptions.Useful.CommonCompilerOptions2">
  <TypeSignature Language="C#" Value="public class CommonCompilerOptions2 : Mono.GetOptions.Useful.CommonCompilerOptions" />
  <AssemblyInfo>
    <AssemblyName>Mono.GetOptions</AssemblyName>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
  </AssemblyInfo>
  <Base>
    <BaseTypeName>Mono.GetOptions.Useful.CommonCompilerOptions</BaseTypeName>
  </Base>
  <Interfaces />
  <Members>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CommonCompilerOptions2 ();" />
      <MemberType>Constructor</MemberType>
      <Parameters />
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="TargetPlatform">
      <MemberSignature Language="C#" Value="public string TargetPlatform;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="HowToReportErrors">
      <MemberSignature Language="C#" Value="public Mono.GetOptions.Useful.InternalCompilerErrorReportAction HowToReportErrors;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>Mono.GetOptions.Useful.InternalCompilerErrorReportAction</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="FileAlignBlockSize">
      <MemberSignature Language="C#" Value="public int FileAlignBlockSize;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateXmlDocumentation">
      <MemberSignature Language="C#" Value="public bool GenerateXmlDocumentation;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateXmlDocumentationToFileName">
      <MemberSignature Language="C#" Value="public string GenerateXmlDocumentationToFileName;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
  </Members>
  <Docs>
    <summary>To be added.</summary>
    <remarks>To be added.</remarks>
  </Docs>
</Type>
